import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSURL } from "../Foundation/NSURL.js";
import type { _ASAuthorizationProvider } from "./ASAuthorizationProvider.js";
import type { _ASAuthorizationSingleSignOnRequest } from "./ASAuthorizationSingleSignOnRequest.js";
export declare class _ASAuthorizationSingleSignOnProvider extends _NSObject {
    static alloc(): _ASAuthorizationSingleSignOnProvider;
    static new(): _ASAuthorizationSingleSignOnProvider;
    init(): _ASAuthorizationSingleSignOnProvider;
    /**
     * To get the right extension the identity provider main URL has to be provided. The URL is even part of the extension using assosiated domains mechanism or can be configured by MDM profile.
     */
    static authorizationProviderWithIdentityProviderURL$(url: _NSURL): _ASAuthorizationSingleSignOnProvider;
    createRequest(): _ASAuthorizationSingleSignOnRequest;
    url(): _NSURL;
    /**
     * Returns YES if the configured provider is capable of performing authorization within a given configuration.
     */
    canPerformAuthorization(): boolean;
}
export interface _ASAuthorizationSingleSignOnProvider extends _ASAuthorizationProvider {
}
